Liferay.Loader.define("product-navigation-control-menu-web@5.0.58/js/PageTypeSelector.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/drop-down', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/link', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _dropDown = _interopRequireDefault(require("@frontend-taglib-clay$clayui/drop-down"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _link = _interopRequireDefault(require("@frontend-taglib-clay$clayui/link"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function PageTypeSelector(props) {
      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          active = _useState2[0],
          setActive = _useState2[1];

      var handleOnChange = (0, _react.useCallback)(function (event) {
        var pageType = event.target.value;
        Liferay.Util.Session.set("".concat(props.namespace, "PRIVATE_LAYOUT"), pageType === 'private-pages').then(function () {
          return Liferay.Util.navigate(window.location.href);
        });
      }, [props.namespace]);
      var handleOnAddCollectionPageClick = (0, _react.useCallback)(function () {
        setActive(false);
        Liferay.Util.navigate(props.addCollectionLayoutURL);
      }, [props.addCollectionLayoutURL]);
      var handleOnAddPageClick = (0, _react.useCallback)(function () {
        setActive(false);
        Liferay.Util.navigate(props.addLayoutURL);
      }, [props.addLayoutURL]);
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "align-items-center d-flex page-type-selector"
        }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("select", {
          className: "form-control form-control-sm",
          defaultValue: props.privateLayout ? 'private-pages' : 'public-pages',
          onChange: handleOnChange
        }, /*#__PURE__*/_react.default.createElement("option", {
          value: "public-pages"
        }, Liferay.Language.get('public-pages')), /*#__PURE__*/_react.default.createElement("option", {
          value: "private-pages"
        }, Liferay.Language.get('private-pages')))), /*#__PURE__*/_react.default.createElement("div", {
          className: "flex-fill flex-grow-1 text-right"
        }, props.showAddIcon && /*#__PURE__*/_react.default.createElement(_dropDown.default, {
          active: active,
          onActiveChange: setActive,
          trigger: /*#__PURE__*/_react.default.createElement(_button.default, {
            "aria-label": Liferay.Language.get('add-page'),
            "aria-haspopup": "true",
            className: "dropdown-toggle",
            displayType: "unstyled"
          }, /*#__PURE__*/_react.default.createElement(_icon.default, {
            symbol: "plus"
          }))
        }, /*#__PURE__*/_react.default.createElement(_dropDown.default.ItemList, null, props.addLayoutURL && /*#__PURE__*/_react.default.createElement(_dropDown.default.Item, {
          "data-value": Liferay.Language.get('add-page'),
          key: Liferay.Language.get('add-page'),
          onClick: handleOnAddPageClick,
          title: Liferay.Language.get('add-page')
        }, Liferay.Language.get('add-page')), props.addCollectionLayoutURL && /*#__PURE__*/_react.default.createElement(_dropDown.default.Item, {
          "data-value": Liferay.Language.get('add-collection-page'),
          key: Liferay.Language.get('add-collection-page'),
          onClick: handleOnAddCollectionPageClick,
          title: Liferay.Language.get('add-collection-page')
        }, Liferay.Language.get('add-collection-page'))))), /*#__PURE__*/_react.default.createElement("div", {
          className: "autofit-col ml-2"
        }, props.configureLayoutSetURL && /*#__PURE__*/_react.default.createElement(_link.default, {
          "aria-label": Liferay.Language.get('configure-pages'),
          borderless: true,
          className: "configure-link",
          displayType: "unstyled",
          href: props.configureLayoutSetURL,
          monospaced: true,
          outline: true,
          title: Liferay.Language.get('configure-pages')
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: "cog"
        }))))
      );
    }

    var _default = PageTypeSelector;
    exports.default = _default;
    //# sourceMappingURL=PageTypeSelector.es.js.map
  }
});
//# sourceMappingURL=PageTypeSelector.es.js.map